
The Hammer - Bug #146

Method Extract: Changing to function does put return type in invocation

05/31/2019 07:42 PM - Wil van Antwerpen

Status: Closed Start date: 05/31/2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

When extracting code to a function that ended as "function boolean var1 string var2 integer var3 integer var4 returns number" in the

function declaration then on the invocation line it had

get myfunction var1 var2 var3 var4 number to FIXME"

Of course it should not have "number" in there.

History

#1 - 06/02/2019 06:17 PM - Wil van Antwerpen

Fixed. Returns didn't get parsed out correctly.

#2 - 06/02/2019 06:18 PM - Wil van Antwerpen

- Status changed from New to Resolved

#3 - 06/03/2019 04:40 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
